summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2014-01-20 20:07:15 +1100
committerDamien Miller <djm@mindrot.org>2014-01-20 20:07:15 +1100
commitf9df7f6f477792254eab33cdef71a6d66488cb88 (patch)
treea2c14292be74f0c0a28372070ef8bcac9178619c
parentc74e70eb52ccc0082bd5a70b5798bb01c114d138 (diff)
- (djm) [regress/cert-hostkey.sh] Fix regress failure on platforms that
skip one or more key types (e.g. RHEL/CentOS 6.5); ok dtucker@
-rw-r--r--ChangeLog2
-rw-r--r--regress/cert-hostkey.sh30
2 files changed, 6 insertions, 26 deletions
diff --git a/ChangeLog b/ChangeLog
index 6073abbb..66c3b624 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -2,6 +2,8 @@
- (dtucker) [gss-serv-krb5.c] Fall back to krb5_cc_gen_new if the Kerberos
implementation does not have krb5_cc_new_unique, similar to what we do
in auth-krb5.c.
+ - (djm) [regress/cert-hostkey.sh] Fix regress failure on platforms that
+ skip one or more key types (e.g. RHEL/CentOS 6.5); ok dtucker@
- (djm) OpenBSD CVS Sync
- djm@cvs.openbsd.org 2014/01/20 00:08:48
[digest.c]
diff --git a/regress/cert-hostkey.sh b/regress/cert-hostkey.sh
index 1ed5af50..a1318cd5 100644
--- a/regress/cert-hostkey.sh
+++ b/regress/cert-hostkey.sh
@@ -72,32 +72,10 @@ done
printf '@cert-authority '
printf "$HOSTS "
cat $OBJ/host_ca_key.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_rsa.pub
- if test "x$TEST_SSH_ECC" = "xyes"; then
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_ecdsa-sha2-nistp256.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_ecdsa-sha2-nistp384.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_ecdsa-sha2-nistp521.pub
- fi
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_ed25519.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_dsa.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_rsa_v00.pub
- printf '@revoked '
- printf "* "
- cat $OBJ/cert_host_key_dsa_v00.pub
+ for ktype in $PLAIN_TYPES rsa_v00 dsa_v00; do
+ test -f "$OBJ/cert_host_key_${ktype}.pub" || fatal "no pubkey"
+ printf "@revoked * `cat $OBJ/cert_host_key_${ktype}.pub`\n"
+ done
) > $OBJ/known_hosts-cert
for privsep in yes no ; do
for ktype in $PLAIN_TYPES rsa_v00 dsa_v00; do